function ps = circle_info(ps)
SRT = 1; % Straight line
ARC = 2; % Circular arc
CBS = 3; % Cubic spline
for i = 1:length(ps)
  if (ps(i).type)==ARC
    an = 2*asin(.5*norm(ps(i).dp)./ps(i).r); % Find the angle
    ps(i).al = ps(i).r.*an; % Find the arc length
    ps(i).c = fitcircle(ps(i).p,ps(i).q,ps(i).r); 
    ps(i).a = 180*an/pi;         % Angle in degrees;  
  end
end
