
function curve = connect_curve(curve)
n = length(curve);
for i=1:n
  kp = (length(curve(i).p)==2);  % we know the start point
  kq = (length(curve(i).q)==2);  % we know the end point
  sp = (length(curve(i).dp)==2); % we know the difference
  if kp & kq & sp
  elseif kp & kq
    curve(i).dp = curve(i).q-curve(i).p;
  elseif kp & sp
    curve(i).q = curve(i).dp + curve(i).p;
  elseif kq & sp
    curve(i).p = curve(i).q - curve(i).dp;
  elseif kp
    curve(i).q = curve(i+1).p;
    curve(i).dp = curve(i).q-curve(i).p;
  elseif kq
    curve(i).p = curve(i-1).p;
    curve(i).dp = curve(i).q-curve(i).p;
  elseif sp
    if length(curve(i+1).p)==2
      curve(i).q = curve(i+1).p;
      curve(i).p = curve(i).q - curve(i).dp;
    elseif length(curve(i-1).q)==2
      curve(i).p = curve(i-1).q;
      curve(i).q = curve(i).p + curve(i).dp;
    else
      error('Not enough info')
    end
  else
    curve(i).p = curve(i-1).q;
    curve(i).q = curve(i+1).p;
    curve(i).dp = curve(i).q-curve(i).p;
  end
end
