function plot_dem(n)
% Plot the data in the log file n
% draw three subplots one for each coordinate axis
% on each axis draw one line for each particle
if nargin < 1
  n = 'test.position'
end
fid = fopen(filename(n,{'/home/jim/dem/data/',...
    '/home/jim/dem/testfiles/','/home/jim/dem/rotating/'}));
[d,t,s] = decode_dem(fid,inf);
fclose(fid);
nd = size(d,1);  % Dimenions of data
np = size(d,2);  % Number of particles
nt = size(d,3);  % Number of time steps
title(['Data from ' n])
for i=1:nd
  subplot(nd,1,i)
  plot(t,reshape(d(i,:,:),np,nt))
end
