function ps = srt_info(ps)
SRT = 1; % Straight line
ARC = 2; % Circular arc
CBS = 3; % Cubic spline
for i = 1:length(ps)
  if (ps(i).type)==SRT
    ps(i).al = norm(ps(i).dp);% Calculate the arc length gradient
    dp = ps(i).dp/ps(i).al;                   % Calculate gradient
    ps(i).an = 180/pi*atan2(dp(2),dp(1));     % Calculate the angle
    ps(i).n = [dp(2);-dp(1)];                 % Calculate normal
  end
end
