module mpi_uses 
  use mpi_main
  use mpi_typedefs 
  use user_rvec_s 
  use user_ivec_s 
  use user_rang_s 
  use user_rmat_s 
  use user_rreg_s 
  use user_ireg_s 
  use user_min_part_s 
  use user_pro_state_s 
  use user_col_props_s 
  use user_rec_flags_s 
  use user_boundary_s 
  use user_rvec_a 
  use user_ivec_a 
  use user_rang_a 
  use user_rmat_a 
  use user_rreg_a 
  use user_ireg_a 
  use user_min_part_a 
  use user_pro_state_a 
  use user_col_props_a 
  use user_rec_flags_a 
  use user_boundary_a 
  use mpi_integer_s 
  use mpi_real_s 
  use mpi_double_s 
  use mpi_character_s 
  use mpi_logical_s 
  use mpi_integer_a 
  use mpi_real_a 
  use mpi_double_a 
  use mpi_character_a 
  use mpi_logical_a 
  use mpi_integer_aa 
  use mpi_integer_aaa 
  use mpi_integer_aaaa 
  use user_col_props_aa 
contains
 
subroutine init_all_mpi_def 
  use rvec_mpi_def 
  use ivec_mpi_def 
  use rang_mpi_def 
  use rmat_mpi_def 
  use rreg_mpi_def 
  use ireg_mpi_def 
  use min_part_mpi_def 
  use pro_state_mpi_def 
  use col_props_mpi_def 
  use rec_flags_mpi_def 
  use boundary_mpi_def 
  call init_rvec_mpi_def 
  call init_ivec_mpi_def 
  call init_rang_mpi_def 
  call init_rmat_mpi_def 
  call init_rreg_mpi_def 
  call init_ireg_mpi_def 
  call init_min_part_mpi_def 
  call init_pro_state_mpi_def 
  call init_col_props_mpi_def 
  call init_rec_flags_mpi_def 
  call init_boundary_mpi_def 
end subroutine 
end module mpi_uses

